% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/aux_fct.R
\name{get_n_chunks}
\alias{get_n_chunks}
\title{Get the number of chunks/sequences for each case}
\usage{
get_n_chunks(text_embeddings, features, times)
}
\arguments{
\item{text_embeddings}{\code{data.frame} containing the text embeddings.}

\item{features}{\code{int} Number of features within each sequence.}

\item{times}{\code{int} Number of sequences}
}
\value{
Named\code{vector} of integers representing the number of chunks/sequences
for every case.
}
\description{
Function for calculating the number of chunks/sequences for every case
}
\seealso{
Other Auxiliary Functions: 
\code{\link{array_to_matrix}()},
\code{\link{check_embedding_models}()},
\code{\link{create_iota2_mean_object}()},
\code{\link{create_synthetic_units}()},
\code{\link{generate_id}()},
\code{\link{get_coder_metrics}()},
\code{\link{get_folds}()},
\code{\link{get_stratified_train_test_split}()},
\code{\link{get_synthetic_cases}()},
\code{\link{get_train_test_split}()},
\code{\link{matrix_to_array_c}()},
\code{\link{split_labeled_unlabeled}()},
\code{\link{summarize_tracked_sustainability}()}
}
\concept{Auxiliary Functions}
