% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/aux_fct.R
\name{get_stratified_train_test_split}
\alias{get_stratified_train_test_split}
\title{Create a stratified random sample}
\usage{
get_stratified_train_test_split(targets, val_size = 0.25)
}
\arguments{
\item{targets}{Named \code{vector} containing the labels/categories for each case.}

\item{val_size}{\code{double} Value between 0 and 1 indicating how many cases of
each label/category should be part of the validation sample.}
}
\value{
\code{list} which contains the names of the cases belonging to the train
sample and to the validation sample.
}
\description{
This function creates a stratified random sample.The difference to
\link{get_train_test_split} is that this function does not require text
embeddings and does not split the text embeddings into a train and validation
sample.
}
\seealso{
Other Auxiliary Functions: 
\code{\link{array_to_matrix}()},
\code{\link{check_embedding_models}()},
\code{\link{create_iota2_mean_object}()},
\code{\link{create_synthetic_units}()},
\code{\link{generate_id}()},
\code{\link{get_coder_metrics}()},
\code{\link{get_folds}()},
\code{\link{get_n_chunks}()},
\code{\link{get_synthetic_cases}()},
\code{\link{get_train_test_split}()},
\code{\link{matrix_to_array_c}()},
\code{\link{split_labeled_unlabeled}()},
\code{\link{summarize_tracked_sustainability}()}
}
\concept{Auxiliary Functions}
\keyword{internal}
