% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/saving_and_loading.R
\name{save_ai_model}
\alias{save_ai_model}
\title{Saving models created with 'aifeducation'}
\usage{
save_ai_model(model, model_dir, save_format = "tf", append_ID = TRUE)
}
\arguments{
\item{model}{Object of class \link{TextEmbeddingClassifierNeuralNet} or
\link{TextEmbeddingModel} which should be saved.}

\item{model_dir}{Path to the directory where the should model is stored.}

\item{save_format}{Format for saving the model. \code{"tf"} for SavedModel
or \code{"h5"} for HDF5. Only relevant if the model is of class \link{TextEmbeddingClassifierNeuralNet}.
It is recommended to use \code{"tf"}.}

\item{append_ID}{\code{bool} \code{TRUE} if the ID should be appended to
the model directory for saving purposes. \code{FALSE} if not.}
}
\value{
No return value, called for side effects.
}
\description{
Function for saving models created with 'aifeducation'.
}
\seealso{
Other Saving and Loading: 
\code{\link{load_ai_model}()}
}
\concept{Saving and Loading}
